
Redmine - Defect #8135

Rake Aborted! No such file to load - stringio

2011-04-12 21:20 - Kip Graves

Status: Closed Start date: 2011-04-12

Priority: High Due date: 2011-04-13

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.1.2

Description

A greenhorn here trying to get redmien up & running on a SuSE linux Enterprise server 11 (x86_64).

Trying to run > rake generate_session_store from within the ../rubygems-1.3.1 directory & am encountering the following:

(in /net/core_labs/process/initiatives/tool-evaluations/cm_tools_04-05-2011/CM_Trade_Study/redmine/RubyGems/rubygems-1.3.1)

/net/core_labs/process/initiatives/tool-evaluations/cm_tools_04-05-2011/CM_Trade_Study/redmine/RubyGems/rubygems-1.3.1/Rake

file:394: warning: ambiguous first argument; put parentheses or even spaces

/net/core_labs/process/initiatives/tool-evaluations/cm_tools_04-05-2011/CM_Trade_Study/redmine/RubyGems/rubygems-1.3.1/Rake

file:399: warning: ambiguous first argument; put parentheses or even spaces

rake aborted!

no such file to load -- stringio

/net/core_labs/process/initiatives/tool-evaluations/cm_tools_04-05-2011/CM_Trade_Study/redmine/RubyGems/rubygems-1.3.1/Rake

file:11:in `require'

(See full trace by running task with --trace)

gem list:

 actionmailer (2.3.5)

actionpack (2.3.5)

activerecord (2.3.5)

activeresource (2.3.5)

activesupport (3.0.6, 2.3.5)

builder (2.1.2)

diff-lcs (1.1.2)

gemcutter (0.3.0)

hoe (2.5.0)

json_pure (1.2.0)

rack (1.0.1)

rails (2.3.5)

rake (0.8.7, 0.8.3)

rcov (0.9.9)

rspec (2.5.0)

rspec-core (2.5.1)

rspec-expectations (2.5.0)

rspec-mocks (2.5.0)

rubyforge (2.0.3)

test-unit (2.2.0)

History

#1 - 2011-04-12 21:29 - Jean-Philippe Lang

I can't reproduce, stringio is part of the ruby standard library.

#2 - 2011-04-17 17:30 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce
